package xiaoqu.home.open.controller.output.webpage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import xiaoqu.home.open.model.db2.WebpageAuthority;

import java.util.List;

@ApiModel("页面权限输出包")
public class WebPageAuthorityOutput extends WebpageAuthority {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	@ApiModelProperty(value = "下级层级")
	private List<WebPageAuthorityOutput> children;
	@ApiModelProperty(value = "下级数量")
	private Integer size;
	@ApiModelProperty(value = "字段数量")
	private Integer fieldSize;

	public Integer getFieldSize() {
		return fieldSize;
	}

	public void setFieldSize(Integer fieldSize) {
		this.fieldSize = fieldSize;
	}

	public List<WebPageAuthorityOutput> getChildren() {
		return children;
	}

	public void setChildren(List<WebPageAuthorityOutput> children) {
		this.children = children;
	}

	public Integer getSize() {
		return size;
	}

	public void setSize(Integer size) {
		this.size = size;
	}
}
